.main_banner .swiper-slide {
	pointer-events: none;
	overflow: hidden;
}
.main_banner  .swiper-wrapper {
	display: flex;
	height: 100%;
}

.main_banner .swiper-slide-active {
	pointer-events: auto;
}
.main_banner {
	display: block;
	position: relative;
	height: 560px;
	width: 100%;
	overflow: hidden;
	border-radius: var(--krayt_radius_large);
}

.main_banner .banner__link {
	overflow: hidden;
	display: block;
	width: 100%;
	height: 100%;
	position: relative;

}
.main_banner img {
	width: 100%;
	height: 100%;
	object-fit: cover;
	transition: transform .3s ease, opacity 0.2s ease;
}

.main_banner img.mobile {
	display: none;
}
.main_banner:hover img {
	transform: scale(1.01)
}

.main_banner_slider .swiper-pagination-bullets {
	z-index: 10;
	position: absolute;
	left: 50%;
	transform: translateX(-50%);
	bottom: 20px;
	display: flex;
	width: calc(100% - 80px);
	column-gap: 16px;

}
.main_banner_slider .swiper-pagination-bullet {
	background: #D3D3D3;
	opacity: 1;
	width: 100%;
	height: 4px;
	border-radius:max(calc(var(--krayt_radius_large) - 4px), 0px);;
	display: block;
	cursor: pointer;
	transition: 0.3s all linear;
}
.main_banner_slider .swiper-pagination-bullet.swiper-pagination-bullet-active {
	background: #1B1B1B;
	transition: 0.3s all linear;
	border-radius:max(calc(var(--krayt_radius_large) - 4px), 0px);;
}

.main_banner_slider {
	overflow: hidden;
}

.swiper-arrows{

}
.swiper-arrow{
	width: 46px;
	height: 46px;
	background: #fff;

	display: flex;
	align-items: center;
	justify-content: center;
	cursor: pointer;
	transition: 0.2s transform linear, 0.3s scale linear;
	z-index: 1;
}
.main_banner .swiper-arrow.swiper-button-disabled{
	display: none;
}
.swiper-arrow svg{
	fill: currentColor;
	will-change: transform;
}

.main_banner_slider .swiper-prev-slide{
	top: 0;
	left: 16px;
	bottom: 0;
	margin: auto;
	position: absolute !important;
}
.main_banner_slider .swiper-next-slide{
	top: 0;
	right: 16px;
	bottom: 0;
	margin: auto;
	position: absolute !important;
}
@media (max-width: 1350px) {
	.main_banner{
		height: 400px;
	}
}
@media (max-width: 1140px) {
	.main_banner{
		height: 340px;
	}
}
@media (max-width: 992px) {
	.main_banner{
		height: 280px;
	}
	.wrapper-inner.wrapper-main .block-kraytflowers-krayt-slider{
	}
}
@media (max-width: 860px) {
	.main_banner{
		height: 230px;
	}
}
@media (max-width: 768px) {
	.main_banner_slider .swiper-arrow{
		width: 40px;
		height: 40px;
	}
	.main_banner_slider .swiper-prev-slide{
		margin-left: 6px;
	}
	.main_banner_slider .swiper-next-slide{
		margin-right: 6px;
	}
}
@media (max-width: 1000px) {
	.block-kraytflowers-krayt-slider{
	}
	.main_banner{
		height: auto;
		/*margin-top: 16px;*/
		margin-bottom: 0;
	}
	.main_banner .banner__link {
		padding-bottom: 0px;
		height: 360px;
	}

	.main_banner img,
	.main_banner_slider .swiper-arrow{
		display: none;
	}
	.main_banner img.mobile {
		display: block;
		position: absolute;
		left: 0;
		top: 0;
		height: 100%;
	}

	.main_banner_slider .swiper-pagination-bullets {
		display: flex;
		bottom: 0px;
		width: 95%;
	}
	.main_banner .swiper-slide {
		overflow: hidden;
		padding-bottom: 12px;
	}
	.main_banner_slider .swiper-pagination-bullet {
		flex: 1 0 0;
		height: 2px;
	}
}

@media (max-width: 576px) {
	.main_banner .banner__link {
		height: 200px;
		border-radius: var(--krayt_radius_large);
	}
	.main_banner img.mobile{
		height: 200px;
	}
}